cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

EOS Utility from EOS R5 incompatible with EOS 5D Mark II

McFall
Apprentice

I have just today downloaded the utility soaftware for my R5.

It appears to not allow me to upload images from my 5D mark2.  I also have a 7d mark 1 and it was planned for my son to use these.

I have tried to install the version of utility that came with the camera but it will not install as it just regonises a newer version.

Can anyone advise me.

4 REPLIES 4

jrhoffman75
Legend
Legend

You need EOSU 2

1. go to the EOS 1D X Mark III support page for Big Sur or Windows 8.1, depending on your OS..

2. Download and install EOSU 3.13.30.

I can't verify that it connects to the camera since I don't have an older camera, but EOSU2 will be installed and the program starts up with macOS 14.3 (if on Mac) or W10..

jrhoffman75_0-1708722317838.png

 

John Hoffman
Conway, NH
John Hoffman
Conway, NH

1D X Mark III, Many lenses, Pixma PRO-100, Pixma TR8620a, LR Classic

shadowsports
Legend
Legend

Greetings,

EOS Utility v3 is the latest version.  For your 5D2, you would need the EOS Utility v2.  This can be installed side by side with EOS Utility 3, but has to be launched manually from the program or applications directory.  Once installed you'll see both executables EOSUtility2 and EOSUtility3.  You can launch the older version manually for your older cameras. 

What OS are you running version and build?

Also note, you do not need any software to copy files from your camera's.  If you connect them to your computer, you can copy files from them like external disks or USB sticks.  Another option is a card reader.  

*** I was typing when John posted....  😃  so you have several options.

~Rick
Bay Area - CA


~R5 C (1.0.6.1) ~RF Trinity, ~RF 100 Macro, ~RF 100~400, ~RF 100~500, +RF 1.4x TC, +Canon Control Ring, BG-R10, 430EX III-RT ~DxO PhotoLab Elite ~DaVinci Resolve ~Windows11 Pro ~ImageClass MF644Cdw/MF656Cdw ~Pixel 8
~CarePaks Are Worth It

When I installed vers 3 it upgraded ver 2.  I am unable to install vers 2 it just stops and says utility is installed.


@McFall wrote:

When I installed vers 3 it upgraded ver 2.  I am unable to install vers 2 it just stops and says utility is installed.


That's because the EOSU installer installs the latest version.

Go to the Canon Utilities folder, then find the EOS Utility folder. Inside it should be folders for EOSU3 and EOSU2. Open the EOSU2 folder and double-click the app.

John Hoffman
Conway, NH

1D X Mark III, Many lenses, Pixma PRO-100, Pixma TR8620a, LR Classic
National Parks Week Sweepstakes style=

Enter for a chance to win!

April 20th-28th
Announcements